#include <iostream>
#include <vector>
#include <bits/stdc++.h>
using namespace std;
int main(){
	int n,k;
	cin>>n>>k;
	int a[n];
	vector<int> res;
	for(int i=0;i<n;i++)
		cin>>a[i];
	sort(a,a+n);
	int br=1,x=0;
	for(int i=0;i<n;i++){
		if(a[i]==a[i+1])
			br++;
		else if(a[i]!=a[i+1]){
		if(br>=k){
			res.push_back(a[i]);
			x++;
		}
		br=1;		
	}}
	cout<<x<<endl;
	for(int i=0;i<res.size();i++){
		cout<<res[i]<<" ";
	}
}